export interface DeployOptions {
    force: boolean;
    only?: string[];
}
export declare class Deploy {
    private configuration;
    private force;
    private only;
    /**
     * Deploy all scripts in the configuration file.
     * @param {{ force: boolean }} [options] - The options object.
     */
    deployScripts(options?: DeployOptions): Promise<void>;
    /**
     * Handles the creation or updating of a script.
     * @param {IConfigurationScript} script - The script that needs to be created or updated.
     * @param {number} index - The index of the script in the scripts array.
     */
    private handleScriptUpload;
    private createScript;
    /**
     * Update the id of the script into the configuration object.
     * @param {IConfigurationScript} script - The script that needs to be updated.
     * @param {string} scriptId - The new script ID.
     * @param {number} index - The index of the script.
     */
    private updateScriptIdInConfig;
}
